### Method

# Hex Widget get_selection

#### Declaration

    gboolean
    hex_widget_get_selection (
      HexWidget* gh,
      gint64* start,
      gint64* end
    )

#### Description

Get the current widget selection (highlights).

#### Parameters

`start`

  Type: `gint64*`

  Where to store the start of the current selection, as offset by byte within the buffer.

  The argument will be set by the function.

`end`

  Type: `gint64*`

  Where to store the end of the current selection, as offset by byte within the buffer.

  The argument will be set by the function.

#### Return value

Type: `gboolean`

`TRUE` if the operation was successful; `FALSE` otherwise.